Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

auth_token not passed to additional remotes #87

Closed
tidy-bot opened this issue Aug 2, 2017 · 0 comments
Closed

auth_token not passed to additional remotes #87

tidy-bot opened this issue Aug 2, 2017 · 0 comments

Comments

@tidy-bot
Copy link

@tidy-bot tidy-bot commented Aug 2, 2017

Issue by jimhester
Thursday Jul 28, 2016 at 17:21 GMT
Originally opened as r-lib/devtools#1280


The same token should be passed as an argument to install_remotes().

A workaround is to set the GITHUB_PAT environment variable instead of using auth_token=.

jimhester added a commit to jimhester/remotes that referenced this issue Aug 28, 2018
We now pass all authentication arguments and build arguments to remotes
and dependencies. This means you can supply the authentication
in in the top level `install_()` call and have that same authentication
be used in downstream Remotes.

This also should propagate upgrade to dependencies appropriately, so
setting `upgrade = FALSE` should disable upgrading for all dependencies,
even grandchildren.

Fixes r-lib#53
Fixes r-lib#86
Fixes r-lib#87
jimhester added a commit to jimhester/remotes that referenced this issue Aug 28, 2018
We now pass all authentication arguments and build arguments to remotes
and dependencies. This means you can supply the authentication
in in the top level `install_()` call and have that same authentication
be used in downstream Remotes.

This also should propagate upgrade to dependencies appropriately, so
setting `upgrade = FALSE` should disable upgrading for all dependencies,
even grandchildren.

Fixes r-lib#53
Fixes r-lib#86
Fixes r-lib#87
jimhester added a commit to jimhester/remotes that referenced this issue Aug 29, 2018
We now pass all authentication arguments and build arguments to remotes
and dependencies. This means you can supply the authentication
in in the top level `install_()` call and have that same authentication
be used in downstream Remotes.

This also should propagate upgrade to dependencies appropriately, so
setting `upgrade = FALSE` should disable upgrading for all dependencies,
even grandchildren.

Fixes r-lib#53
Fixes r-lib#86
Fixes r-lib#87
@jimhester jimhester closed this in 8088a00 Aug 31, 2018
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Projects
None yet
Linked pull requests

Successfully merging a pull request may close this issue.

None yet
1 participant